Bug 1295506 - Moving group of elements to two swimlanes associates whole group with one swimlane
Moving group of elements to two swimlanes associates whole group with one swi...
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
high Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks: 1283196
  Show dependency treegraph
 
Reported: 2016-01-04 12:55 EST by Alessandro Lazarotti
Modified: 2018-01-30 09:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1283196
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 12:55:20 EST
+++ This bug was initially created as a clone of Bug #1283196 +++

Description of problem:
If you have group of elements out of swimlanes and you will try to move all of them in such a way as some of elements will be on one swimlane and rest of them on another all elements will be associate with one of them. (see attachment)

Version-Release number of selected component (if applicable):
6.2.CR1

How reproducible:
always

Steps to Reproduce:
1. Create Business Process with two swimlanes and some elements out of them
2. Select all elements and move it in such a way as some of elements will be on first swimlane and rest of them on second one.

Actual results:
All elements will associate with one of swimlane

Expected results:
Elements on first swimlane will be associated with first swimlane, elements on second swimlane will be associated with second one.

Additional info:
All elements out of both swimlanes also will associate like there are on the swimlane.

I guess it is related with bug 1262030

--- Additional comment from Kris Verlaenen on 2015-11-18 08:52:22 EST ---

Not sure if it would be expected that the second group of elements would end up in a different swimlane.  I would expect all elements to be dropped in the same swimlane, although this might mean the swimlane might have to be expanded automatically so they visually fall into the swimlane as well.  

Joe, wdyt?

--- Additional comment from Joe Sniezek on 2015-11-18 13:42:29 EST ---

Hi Kris, I agree, when dragging a group of items into swimlanes, there should be a single destination for a single drag-drop interaction. So the current behavior is fine, it's just the visual presentation of the result which is problematic.

I think your solution to expand the target swimlane automatically is the right approach. And it would be best if this action also shifted the position of the non-target swimlane, if possible, rather than having the two swimlanes overlap.

Note You need to log in before you can comment on or make changes to this bug.